Skip to main content
Version: 0.4

0.4 to 0.5 Upgrade Guide

Upgrading to 0.5

0.5 will no longer support compat definitions. Follow the instructions below to upgrade to 0.5 based on your current version. You will NOT need to re-materialize data to upgrade your objects.

note

In 0.5, you must set an alert email for Feature Views with monitoring enabled. You may see this error blocking your apply. When upgrading from 0.3 or 0.4 in compatibility mode, please configure the alert email while upgrading your Feature views. No other semantic changes can be done when upgrading.

When upgrading to 0.5 you will see updates to your Feature View's batch_trigger like the following as a result of the new Materialization API. These changes have no effect, and will only occur the first time you run tecton apply with Tecton 0.5

  ~ Update BatchDataSource
name: transactions_batch
description: Batch Data Source for transactions stream
batch_trigger: BATCH_TRIGGER_TYPE_UNKNOWN -> BATCH_TRIGGER_TYPE_SCHEDULED

From 0.4 non-compat:

  • You can move to 0.5 CLI without making any changes!

From 0.4 in compatibility mode (tecton.compat):

  • You can move to 0.5 CLI directly if you upgrade all of your definitions to 0.4 definitions using this upgrade guide in one tecton apply.

  • To upgrade definitions incrementally, i.e. in multiple tecton apply steps:

    1.) Upgrade objects to 0.4 definitions using 0.4 CLI with this guide.

    2.) Once all your objects are in 0.4 definitions you can move to 0.5 CLI.

Was this page helpful?

Happy React is loading...